import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

// import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
// import { DateInputsModule } from '@progress/kendo-angular-dateinputs';
import { ClarityModule } from "@clr/angular";

import { DynaformComponent } from './dynaform.component';
import { DynafieldDirective } from './directives/dynafield.directive';
import { DynaformService } from './services/dynaform.service';
import { ModelMapperService } from './services/model-mapper.service';

import { ffcArr } from './components'; // ffcArr = Form Field Components Array, exported from components/index.ts

@NgModule({
	imports: [
		CommonModule,
		FormsModule,
		ReactiveFormsModule,
		RouterModule.forChild([]),
		// NgbModule,
		// DateInputsModule
		ClarityModule
	],
	declarations: [
		DynaformComponent,
		DynafieldDirective,
		...ffcArr
	],
	entryComponents: ffcArr,
	providers: [
		DynaformService,
		ModelMapperService
	],
	exports: [
		FormsModule,
		ReactiveFormsModule,
		DynaformComponent,
		DynafieldDirective
	]
})
export class DynaformModule { }
